> ## Documentation Index
> Fetch the complete documentation index at: https://docs.clearline.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Hide widget QR Code



## OpenAPI

````yaml /openapi.yaml post /v2/pos/{posSystemId}/widget/hideQrCode
openapi: 3.0.1
info:
  title: ClearLine POS API
  description: >-
    Point of Sale integration API for ClearLine Marketing Platform. This API
    enables POS systems to send transaction data, manage customer interactions,
    and integrate with marketing campaigns.
  version: v1
servers:
  - url: https://public-api-demo.clearline.me
    description: ClearLine API Server
security: []
paths:
  /v2/pos/{posSystemId}/widget/hideQrCode:
    post:
      tags:
        - Widgets
      summary: Hide widget QR Code
      operationId: PosV2Widget_HideQrCode
      parameters:
        - name: posSystemId
          in: path
          description: POS System Id
          required: true
          schema:
            type: string
      requestBody:
        description: Request
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          application/json:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          text/json:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          application/*+json:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          application/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          text/xml:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
          application/*+xml:
            schema:
              $ref: '#/components/schemas/PosWidgetHideQrCodeRequest'
            example:
              posLocationId: 6orMqUyq2Hg3tP
              terminalId: 6orMqUyq
              sessionId: SESSION_ID
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/PosWidgetHideQrCodeResponseApiResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/PosWidgetHideQrCodeResponseApiResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/PosWidgetHideQrCodeResponseApiResponse'
            application/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetHideQrCodeResponseApiResponse'
            text/xml:
              schema:
                $ref: '#/components/schemas/PosWidgetHideQrCodeResponseApiResponse'
      security:
        - BearerAuth: []
        - ImplicitAuth: []
components:
  schemas:
    PosWidgetHideQrCodeRequest:
      required:
        - posLocationId
        - sessionId
        - terminalId
      type: object
      properties:
        sessionId:
          minLength: 1
          type: string
          description: Session identifier
        posLocationId:
          minLength: 1
          type: string
          description: POS location identifier
        terminalId:
          minLength: 1
          type: string
          description: Terminal identifier
      additionalProperties: false
      description: Hide widget QR-code request
    PosWidgetHideQrCodeResponseApiResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PosWidgetHideQrCodeResponse'
      additionalProperties: false
    PosWidgetHideQrCodeResponse:
      type: object
      additionalProperties: false
      description: Hide widget QR-code response
  securitySchemes:
    BearerAuth:
      type: http
      description: |-

        JWT Authorization header using the Bearer scheme.

        Enter **_JWT Bearer token only_** in the text input below.
      scheme: bearer
      bearerFormat: JWT
    ImplicitAuth:
      type: oauth2
      description: Implicit scheme
      flows:
        implicit:
          authorizationUrl: https://logindemo.clearline.me/connect/authorize
          scopes:
            clearline_api: Grants access to Clearline API endpoints.

````